From ad1a70cb7ca60e311a08e8df89375423147240ac Mon Sep 17 00:00:00 2001
From: Michal Kovarik <mkovarik@redhat.com>
Date: Jan 22 2020 13:34:53 +0000
Subject: [PATCH 4/11] Proceed whole execution for greenwave trigger


Declarative syntax used for greenwave trigger.
Merged greenwave trigger with image-promotion

---

diff --git a/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-prod.env b/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-prod.env
index b4ec4a5..e81e1d8 100644
--- a/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-prod.env
+++ b/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-prod.env
@@ -3,4 +3,4 @@ SOURCE_CONTAINER_REPO=quay.io/factory2/waiverdb
 TARGET_TAG=prod
 DECISION_CONTEXT_REGEX=c3i_promote_stage_to_prod
 MESSAGING_TOPIC=Consumer.rh-jenkins-ci-plugin.c3i-waiverdb-promote-to-prod.VirtualTopic.eng.greenwave.decision.update
-IMAGE_PROMOTION_JOB=waiverdb-promoting-to-prod
+PROMOTING_DESTINATIONS=quay.io/factory2/waiverdb
diff --git a/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-stage.env b/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-stage.env
index 22fe0eb..1888ce9 100644
--- a/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-stage.env
+++ b/openshift/pipelines/jobs/waiverdb-greenwave-promote-to-stage.env
@@ -3,4 +3,4 @@ SOURCE_CONTAINER_REPO=quay.io/factory2/waiverdb
 TARGET_TAG=stage
 DECISION_CONTEXT_REGEX=c3i_promote_dev_to_stage
 MESSAGING_TOPIC=Consumer.rh-jenkins-ci-plugin.c3i-waiverdb-promote-to-stage.VirtualTopic.eng.greenwave.decision.update
-IMAGE_PROMOTION_JOB=waiverdb-promoting-to-stage
+PROMOTING_DESTINATIONS=quay.io/factory2/waiverdb
